<?php




namespace ln\jobs;


use app\common\repositories\store\product\ProductPresellRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;
use think\queue\Job;

class CheckProductPresellJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            $make = app()->make(ProductPresellRepository::class);
            $make->checkStatus(null);
        $job->delete();
        }catch (\Exception $exception){
            Log::info($exception->getMessage());
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
